Address balance

GET/esplora/api/address/{key}

Wallet API v1.0.0 · Addresses

Funded and spent output counts and sums, confirmed and unconfirmed. Balance = funded_txo_sum - spent_txo_sum.

Example

curl 'https://api.tensorcash.org/esplora/api/address/tc1qmvalge7mnhct9qj5uua8rn0dmjcyh6fmvrr46j'

Parameters

NameInTypeRequiredDescription
keypathstringYesTensorCash address (bech32 hrp tc, or base58).

Responses

StatusDescriptionBody
200Address summary
400Invalid address
  • text/plain string
422Validation Error
503Index syncing: n/m
  • text/plain string

Schemas

AddressSummary

FieldTypeRequiredDescription
addressstringYes
chain_statsChainStatsYes
mempool_statsChainStatsYes

ChainStats

FieldTypeRequiredDescription
funded_txo_countintegerYesOutputs received.
funded_txo_sumintegerYesSatoshis received.
spent_txo_countintegerYesOutputs spent.
spent_txo_sumintegerYesSatoshis spent.
tx_countintegerYesTransactions touching the address.

ValidationError

FieldTypeRequiredDescription
locstring | integer[]Yes
msgstringYes
typestringYes
Source
tensorcash-wallet-api (tensorcash-api) v1.0.0 (772799e) · bobponey · MIT